= nn_get_statistic(3compat)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nn_get_statistic - get statistic (stub)

== SYNOPSIS

[source,c]
----
#include <nanomsg/nn.h>

uint64_t nn_get_statistic(int sock, int stat);
----

== DESCRIPTION

The `nn_get_statistic()` function exists only as a stub, and always returns
zero.

NOTE: This function is provided for API
xref:nng_compat.3compat.adoc[compatibility] with legacy _libnanomsg_.
Consider using the relevant xref:libnng.3.adoc[modern API] instead.

== RETURN VALUES

Zero.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_compat.3compat.adoc[nng_compat(3compat)],
xref:nng.7.adoc[nng(7)]
